<!--

Copyright (c) 2023, Hyperbola Project
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

-->


## Linux Standard Base [Users and Groups]:

 User     | Group    | Description
:---------|:---------|:--------------------------------------------------
 root     | root     | System Administrations
 bin      | bin      | Executables (legacy)
 daemon   | daemon   | Software Servers (legacy)
          |          |
 adm      | adm      | System Administrations (opcional)
 lp       | lp       | Printers Services (opcional)
 sync     | sync     | Software Syncs (opcional)
 shutdown | shutdown | System Shutdown (opcional)
 halt     | halt     | System Halt (opcional)
 mail     | mail     | Mails Services (opcional)
 news     | news     | News Services (opcional)
 uucp     | uucp     | UUCP Services (opcional)
 operator | root     | System Operations (opcional)
 man      | man      | System Manuals (opcional)
 nobody   | nobody   | Unprivileged User for Network Services (opcional)


## Hyperbola GNU/Linux-libre [Users]:

 User   | UID | GID | User name | Home directory  | Initial command
:-------|----:|----:|:----------|:----------------|:----------------
 root   |   0 |   0 | root      | /root           | /bin/bash
        |     |     |           |                 |
 bin    |   1 |   1 | bin       | /bin            | /bin/nologin
 daemon |   2 |   2 | daemon    | /               | /bin/nologin
        |     |     |           |                 |
 mail   |   8 |  12 | mail      | /var/spool/mail | /bin/nologin
 http   |  33 |  33 | http      | /srv/http       | /bin/nologin
 nobody |  99 |  99 | nobody    | /               | /bin/nologin
        |     |     |           |                 |
 ftp    |  14 |  11 | ftp       | /srv/ftp        | /bin/nologin
 uuidd  |  68 |  68 | uuidd     | /               | /bin/nologin


## HyperbolaBSD [Users]:

 User         |        UID |        GID | User name                             | Home directory   | Initial command
:-------------|-----------:|-----------:|:--------------------------------------|:-----------------|:----------------
 root         |          0 |          0 | System Administrator                  | /root            | /bin/sh
              |            |            |                                       |                  |
 adm          |          1 |          1 | Administrator                         | /home/adm        | /bin/sh
 operator     |          2 |          2 | Operator                              | /home/op         | /bin/sh
 srv          |          3 |          3 | Server                                | /home/srv        | /bin/sh
 hv           |          4 |          4 | Hypervisor                            | /home/hv         | /bin/sh
 live         |          5 |          5 | Live Media User                       | /home/live       | /bin/sh
 debug        |          7 |          7 | Debugger                              | /home/debug      | /bin/sh
 guest        |          8 |          8 | Guest                                 | /home/guest      | /bin/sh
 -            |          9 |          - | Users (reserved)                      | -                | -
              |            |            |                                       |                  |
 -            |         10 |          - | Manual Service (reserved)             | -                | -
 -            |         11 |          - | Power Service (reserved)              | -                | -
 -            |         12 |          - | Sync Service (reserved)               | -                | -
 -            |         16 |          - | Lock File User (reserved)             | -                | -
 -            |         17 |          - | Locate File User (reserved)           | -                | -
 -            |         18 |          - | Login Record File User (reserved)     | -                | -
 -            |         19 |          - | System Log Service (reserved)         | -                | -
              |            |            |                                       |                  |
 -            |         20 |          - | Device File Service (reserved)        | -                | -
 -            |         21 |          - | Terminal Devices (reserved)           | -                | -
 -            |         22 |          - | Physical Memory Devices (reserved)    | -                | -
 -            |         23 |          - | Kernel's Virtual Memory (reserved)    | -                | -
 -            |         24 |          - | System Storage Devices (reserved)     | -                | -
 -            |         29 |          - | USB Devices (reserved)                | -                | -
              |            |            |                                       |                  |
 -            |         30 |          - | Network Devices (reserved)            | -                | -
 -            |         31 |          - | Video Devices (reserved)              | -                | -
 -            |         32 |          - | Audio Devices (reserved)              | -                | -
 -            |         33 |          - | Storage Devices (reserved)            | -                | -
 -            |         34 |          - | Scanner Devices (reserved)            | -                | -
 -            |         35 |          - | Printer Devices (reserved)            | -                | -
 -            |         36 |          - | Input Devices (reserved)              | -                | -
 -            |         37 |          - | Optical Devices (reserved)            | -                | -
 -            |         38 |          - | Floppy Devices (reserved)             | -                | -
 -            |         39 |          - | Tape Devices (reserved)               | -                | -
              |            |            |                                       |                  |
 -            |         60 |          - | Game User (reserved)                  | -                | -
 -            |         67 |          - | Parental Control User (reserved)      | -                | -
 -            |         72 |          - | Parental Control User (reserved)      | -                | -
 -            |         76 |          - | Parental Control User (reserved)      | -                | -
 -            |         78 |          - | Parental Control User (reserved)      | -                | -
              |            |            |                                       |                  |
 -            |         90 |          - | Shared Data User (reserved)           | -                | -
              |            |            |                                       |                  |
 gopher       |         94 |         94 | Gopher Service                        | /var/lib/gopher  | /bin/nologin
 gemini       |         95 |         95 | Gemini Service                        | /var/lib/gemini  | /bin/nologin
 http         |         96 |         96 | HTTP Service                          | /var/lib/http    | /bin/nologin
              |            |            |                                       |                  |
 news         |         97 |         97 | News (NNTP/UUCP) Service              | /var/spool/news  | /bin/nologin
 mail         |         98 |         98 | Mail (SMTP) Service                   | /var/mail        | /bin/nologin
              |            |            |                                       |                  |
 nobody       |         99 |         99 | Unprivileged User                     | /var/empty       | /bin/nologin
              |            |            |                                       |                  |
 _sshd        |        100 |        100 | SSH Service Privilege Separation      | /var/empty       | /bin/nologin
 _portmap     |        101 |        101 | IP Port Mapper (RPC program number)   | /var/empty       | /bin/nologin
 _identd      |        102 |        102 | Identification Protocol Service       | /var/empty       | /bin/nologin
 _rstatd      |        103 |        103 | RPC (statistics) Service              | /var/empty       | /bin/nologin
 _rusersd     |        104 |        104 | RPC (users) Service                   | /var/empty       | /bin/nologin
 _fingerd     |        105 |        105 | Finger Protocol Service               | /var/empty       | /bin/nologin
 _x11         |        106 |        106 | X Window System (version 11) Service  | /var/empty       | /bin/nologin
 _unwind      |        107 |        107 | Validating DNS Resolver Service       | /var/empty       | /bin/nologin
 _switchd     |        108 |        108 | Switch (SDN) Service                  | /var/empty       | /bin/nologin
 _traceroute  |        109 |        109 | Traceroute Unprivileged User          | /var/empty       | /bin/nologin
 _ping        |        110 |        110 | ICMP Echo Request Unprivileged User   | /var/empty       | /bin/nologin
 _unbound     |        111 |        111 | Unbound Recursive DNS Service         | /var/lib/unbound | /bin/nologin
 _dpb         |        112 |        112 | DPB Privilege Separation              | /var/empty       | /bin/nologin
 _pbuild      |        113 |        113 | DPB (distr. ports builder) Build User | /var/empty       | /bin/nologin
 _pfetch      |        114 |        114 | DPB (distr. ports builder) Fetch User | /var/empty       | /bin/nologin
 _pkgfetch    |        115 |        115 | Packager Fetch User                   | /var/empty       | /bin/nologin
 _pkguntar    |        116 |        116 | Packager "untar" User                 | /var/empty       | /bin/nologin
 _spamd       |        117 |        117 | Spam Deferral Service                 | /var/empty       | /bin/nologin
 _isakmpd     |        118 |        118 | ISAKMP Service Privilege Separation   | /var/empty       | /bin/nologin
 _rpki-client |        119 |        119 | RPKI validator Client                 | /var/empty       | /bin/nologin
 _syslogd     |        120 |        120 | System log Service                    | /var/empty       | /bin/nologin
 _pflogd      |        121 |        121 | PFLog Service Privilege Separation    | /var/empty       | /bin/nologin
 _bgpd        |        122 |        122 | Border Gateway Protocol Service       | /var/empty       | /bin/nologin
 _tcpdump     |        123 |        123 | Dump NetTraffic Privilege Separation  | /var/empty       | /bin/nologin
 _dhcp        |        124 |        124 | DHCP Service                          | /var/empty       | /bin/nologin
 _mopd        |        125 |        125 | DEC MOP Service                       | /var/empty       | /bin/nologin
 _tftpd       |        126 |        126 | TFTP Service                          | /var/empty       | /bin/nologin
 _rbootd      |        127 |        127 | HP Remote Boot Service                | /var/empty       | /bin/nologin
 _ppp         |        128 |        128 | Point-to-Point Protocol Service       | /var/empty       | /bin/nologin
 _ntp         |        129 |        129 | Network Time Protocol Service         | /var/empty       | /bin/nologin
 _ftp         |        130 |        130 | File Transfer Protocol Service        | /var/empty       | /bin/nologin
 _ospfd       |        131 |        131 | OSPF (IPv4) Service                   | /var/empty       | /bin/nologin
 _hostapd     |        132 |        132 | Host Access Point Service             | /var/empty       | /bin/nologin
 _dvmrpd      |        133 |        133 | DVMRP Service                         | /var/empty       | /bin/nologin
 _ripd        |        134 |        134 | Routing Information Protocol Service  | /var/empty       | /bin/nologin
 _relayd      |        135 |        135 | Relay Service                         | /var/empty       | /bin/nologin
 _ospf6d      |        136 |        136 | OSPF (for IPv6) Service               | /var/empty       | /bin/nologin
 _snmpd       |        137 |        137 | SNMP Service                          | /var/empty       | /bin/nologin
 _ypldap      |        138 |        138 | NIS (YP) to LDAP Service              | /var/empty       | /bin/nologin
 _rad         |        139 |        139 | IPv6 NDP Router Advertisement Service | /var/empty       | /bin/nologin
 _smtpd       |        140 |        140 | SMTP Service                          | /var/empty       | /bin/nologin
 _rwalld      |        141 |        141 | RPC (wall) Service                    | /var/empty       | /bin/nologin
 _nsd         |        142 |        142 | Name Server Service                   | /var/empty       | /bin/nologin
 _ldpd        |        143 |        143 | Label Distribution Protocol Service   | /var/empty       | /bin/nologin
 _sndio       |        144 |        144 | Sound IO Privilege Separation         | /var/empty       | /bin/nologin
 _ldapd       |        145 |        145 | LDAP Service                          | /var/empty       | /bin/nologin
 _iked        |        146 |        146 | Internet Key Exchange Service         | /var/empty       | /bin/nologin
 _iscsid      |        147 |        147 | iSCSI Service                         | /var/empty       | /bin/nologin
 _smtpq       |        148 |        148 | SMTP Queue                            | /var/empty       | /bin/nologin
 _file        |        149 |        149 | File Privilege Separation             | /var/empty       | /bin/nologin
 _radiusd     |        150 |        150 | RADIUS Service                        | /var/empty       | /bin/nologin
 _eigrpd      |        151 |        151 | EIGRP Service                         | /var/empty       | /bin/nologin
 _vmd         |        152 |        152 | Virtual Machine Service               | /var/empty       | /bin/nologin
 _tftp_proxy  |        153 |        153 | TFTP Proxy Service                    | /var/empty       | /bin/nologin
 _ftp_proxy   |        154 |        154 | File Transfer Protocol Proxy Service  | /var/empty       | /bin/nologin
 _sndiop      |        155 |        155 | Sound IO Privileged User              | /var/empty       | /bin/nologin
 _syspatch    |        156 |        156 | System Patch Unprivileged User        | /var/empty       | /bin/nologin
 _slaacd      |        157 |        157 | IPv6 SLAAC Service                    | /var/empty       | /bin/nologin
              |            |            |                                       |                  |
 ftp          | 4294967282 | 4294967282 | FTP (obsolete)                        | /var/empty       | /bin/nologin
 lp           | 4294967283 | 4294967283 | LP (obsolete)                         | /var/empty       | /bin/nologin
 smmsp        | 4294967284 | 4294967284 | SMMSP (obsolete)                      | /var/empty       | /bin/nologin
 uuidd        | 4294967285 | 4294967285 | UUID Service (obsolete)               | /var/empty       | /bin/nologin
 rfkill       | 4294967286 | 4294967286 | RF Kill (obsolete)                    | /var/empty       | /bin/nologin
 proc         | 4294967287 | 4294967287 | Processes File System (obsolete)      | /var/empty       | /bin/nologin
 uucp         | 4294967288 | 4294967288 | UUCP (obsolete)                       | /var/empty       | /bin/nologin
 disk         | 4294967289 | 4294967289 | Disk Devices (obsolete)               | /var/empty       | /bin/nologin
 halt         | 4294967290 | 4294967290 | Halt (obsolete)                       | /var/empty       | /bin/nologin
 shutdown     | 4294967291 | 4294967291 | Shutdown (obsolete)                   | /var/empty       | /bin/nologin
 daemon       | 4294967292 | 4294967292 | Server (obsolete)                     | /var/empty       | /bin/nologin
 bin          | 4294967293 | 4294967293 | Executor (obsolete)                   | /var/empty       | /bin/nologin
 sys          | 4294967294 | 4294967294 | Administrator (obsolete)              | /var/empty       | /bin/nologin
 wheel        | 4294967295 | 4294967295 | System Administrator (obsolete)       | /var/empty       | /bin/nologin


## OpenBSD [Users]:

 User         |   UID |   GID | User name                        | Home directory | Initial command
:-------------|------:|------:|:---------------------------------|:---------------|:----------------
 root         |     0 |     0 | Charlie &                        | /root          | /bin/ksh
 daemon       |     1 |     1 | The devil himself                | /root          | /sbin/nologin
 bin          |     3 |     7 | Binaries Commands and Source     | /              | /sbin/nologin
              |       |       |                                  |                |
 operator     |     2 |     5 | System &                         | /operator      | /sbin/nologin
 www          |    67 |    67 | HTTP Server                      | /var/www       | /sbin/nologin
 nobody       | 32767 | 32767 | Unprivileged user                | /nonexistent   | /sbin/nologin
              |       |       |                                  |                |
 build        |    21 |    21 | base and xenocara build          | /var/empty     | /bin/ksh
 sshd         |    27 |    27 | sshd privsep                     | /var/empty     | /sbin/nologin
              |       |       |                                  |                |
 _portmap     |    28 |    28 | portmap                          | /var/empty     | /sbin/nologin
 _identd      |    29 |    29 | identd                           | /var/empty     | /sbin/nologin
 _rstatd      |    30 |    30 | rpc.rstatd                       | /var/empty     | /sbin/nologin
 _rusersd     |    32 |    32 | rpc.rusersd                      | /var/empty     | /sbin/nologin
 _fingerd     |    33 |    33 | fingerd                          | /var/empty     | /sbin/nologin
 _x11         |    35 |    35 | X Server                         | /var/empty     | /sbin/nologin
 _unwind      |    48 |    48 | Unwind Daemon                    | /var/empty     | /sbin/nologin
 _switchd     |    49 |    49 | Switch Daemon                    | /var/empty     | /sbin/nologin
 _traceroute  |    50 |    50 | traceroute privdrop user         | /var/empty     | /sbin/nologin
 _ping        |    51 |    51 | ping privdrop user               | /var/empty     | /sbin/nologin
 _unbound     |    53 |    53 | Unbound Daemon                   | /var/unbound   | /sbin/nologin
 _dpb         |    54 |    54 | dpb privsep                      | /var/empty     | /sbin/nologin
 _pbuild      |    55 |    55 | dpb build user                   | /nonexistent   | /sbin/nologin
 _pfetch      |    56 |    56 | dpb fetch user                   | /nonexistent   | /sbin/nologin
 _pkgfetch    |    57 |    57 | pkg fetch user                   | /nonexistent   | /sbin/nologin
 _pkguntar    |    58 |    58 | pkg untar user                   | /nonexistent   | /sbin/nologin
 _spamd       |    62 |    62 | Spam Daemon                      | /var/empty     | /sbin/nologin
 _isakmpd     |    68 |    68 | isakmpd privsep                  | /var/empty     | /sbin/nologin
 _rpki-client |    70 |    70 | rpki-client user                 | /nonexistent   | /sbin/nologin
 _syslogd     |    73 |    73 | Syslog Daemon                    | /var/empty     | /sbin/nologin
 _pflogd      |    74 |    74 | pflogd privsep                   | /var/empty     | /sbin/nologin
 _bgpd        |    75 |    75 | BGP Daemon                       | /var/empty     | /sbin/nologin
 _tcpdump     |    76 |    76 | tcpdump privsep                  | /var/empty     | /sbin/nologin
 _dhcp        |    77 |    77 | DHCP programs                    | /var/empty     | /sbin/nologin
 _mopd        |    78 |    78 | MOP Daemon                       | /var/empty     | /sbin/nologin
 _tftpd       |    79 |    79 | TFTP Daemon                      | /var/empty     | /sbin/nologin
 _rbootd      |    80 |    80 | rbootd Daemon                    | /var/empty     | /sbin/nologin
 _ppp         |    82 |    82 | PPP utilities                    | /var/empty     | /sbin/nologin
 _ntp         |    83 |    83 | NTP Daemon                       | /var/empty     | /sbin/nologin
 _ftp         |    84 |    84 | FTP Daemon                       | /var/empty     | /sbin/nologin
 _ospfd       |    85 |    85 | OSPF Daemon                      | /var/empty     | /sbin/nologin
 _hostapd     |    86 |    86 | HostAP Daemon                    | /var/empty     | /sbin/nologin
 _dvmrpd      |    87 |    87 | DVMRP Daemon                     | /var/empty     | /sbin/nologin
 _ripd        |    88 |    88 | RIP Daemon                       | /var/empty     | /sbin/nologin
 _relayd      |    89 |    89 | Relay Daemon                     | /var/empty     | /sbin/nologin
 _ospf6d      |    90 |    90 | OSPF6 Daemon                     | /var/empty     | /sbin/nologin
 _snmpd       |    91 |    91 | SNMP Daemon                      | /var/empty     | /sbin/nologin
 _ypldap      |    93 |    93 | YP to LDAP Daemon                | /var/empty     | /sbin/nologin
 _rad         |    94 |    94 | IPv6 Router Advertisement Daemon | /var/empty     | /sbin/nologin
 _smtpd       |    95 |    95 | SMTP Daemon                      | /var/empty     | /sbin/nologin
 _rwalld      |    96 |    96 | rpc.rwalld                       | /var/empty     | /sbin/nologin
 _nsd         |    97 |    97 | NSD Daemon                       | /var/empty     | /sbin/nologin
 _ldpd        |    98 |    98 | LDP Daemon                       | /var/empty     | /sbin/nologin
 _sndio       |    99 |    99 | sndio privsep                    | /var/empty     | /sbin/nologin
 _ldapd       |   100 |   100 | LDAP Daemon                      | /var/empty     | /sbin/nologin
 _iked        |   101 |   101 | IKEv2 Daemon                     | /var/empty     | /sbin/nologin
 _iscsid      |   102 |   102 | iSCSI Daemon                     | /var/empty     | /sbin/nologin
 _smtpq       |   103 |   103 | SMTP Daemon                      | /var/empty     | /sbin/nologin
 _file        |   104 |   104 | file privsep                     | /var/empty     | /sbin/nologin
 _radiusd     |   105 |   105 | RADIUS Daemon                    | /var/empty     | /sbin/nologin
 _eigrpd      |   106 |   106 | EIGRP Daemon                     | /var/empty     | /sbin/nologin
 _vmd         |   107 |   107 | VM Daemon                        | /var/empty     | /sbin/nologin
 _tftp_proxy  |   108 |   108 | tftp proxy daemon                | /nonexistent   | /sbin/nologin
 _ftp_proxy   |   109 |   109 | ftp proxy daemon                 | /nonexistent   | /sbin/nologin
 _sndiop      |   110 |   110 | sndio privileged user            | /var/empty     | /sbin/nologin
 _syspatch    |   112 |   112 | syspatch unprivileged user       | /var/empty     | /sbin/nologin
 _slaacd      |   115 |   115 | SLAAC Daemon                     | /var/empty     | /sbin/nologin


## Hyperbola GNU/Linux-libre [Groups]:

 Group   | GID | Users members (not group owner)
:--------|----:|:--------------------------------
 root    |   0 | root
 bin     |   1 | root, bin, daemon
 daemon  |   2 | root, bin, daemon
         |     |
 adm     |   4 | root, daemon
 tty     |   5 | -
 lp      |   7 | daemon
 kmem    |   9 | -
 mail    |  12 | -
 log     |  19 | root
 utmp    |  20 | -
 locate  |  21 | -
 http    |  33 | -
 games   |  50 | -
 lock    |  54 | -
 network |  90 | -
 video   |  91 | -
 audio   |  92 | -
 optical |  93 | -
 storage |  95 | -
 scanner |  96 | -
 input   |  97 | -
 power   |  98 | -
 nobody  |  99 | -
 users   | 100 | -
 pcg07   | 107 | -
 pcg12   | 112 | -
 pcg16   | 116 | -
 pcg18   | 118 | -
         |     |
 sys     |   3 | root, bin
 mem     |   8 | -
 disk    |   6 | root
 wheel   |  10 | root
 uucp    |  14 | -
 floppy  |  94 | -
         |     |
 ftp     |  11 | -
 rfkill  |  24 | -
 smmsp   |  25 | -
 proc    |  26 | -
 uuidd   |  68 | -


## HyperbolaBSD [Groups]:

 Group        |        GID | Users members (not group owner) | Description
:-------------|-----------:|:--------------------------------|:-------------
 root         |          0 | -                               | System Administrator Group
              |            |                                 |
 adm          |          1 | -                               | Administrator Group
 operator     |          2 | -                               | Operator Group
 srv          |          3 | -                               | Server Group
 hv           |          4 | -                               | Hypervisor Group
 live         |          5 | -                               | Live Media Group 
 debug        |          7 | -                               | Debugger Group
 guest        |          8 | -                               | Guest Group
 users        |          9 | -                               | Users Group
              |            |                                 |
 man          |         10 | -                               | Manual Service
 power        |         11 | -                               | Power Service
 sync         |         12 | -                               | Sync Service
 lock         |         16 | -                               | Lock File Group
 locate       |         17 | -                               | Locate File (with database) Group
 utmp         |         18 | -                               | Login Record File Group
 log          |         19 | -                               | Log File Group
              |            |                                 |
 dev          |         20 | -                               | Device File Service
 tty          |         21 | -                               | Terminal Devices (including Pseudo Terminals)
 mem          |         22 | -                               | Physical Memory Devices
 kmem         |         23 | -                               | Kernel's Virtual Memory Devices
 sstor        |         24 | -                               | System Storage Devices
 usb          |         29 | -                               | USB Devices (not Storage Devices)
              |            |                                 |
 network      |         30 | -                               | Network Devices
 video        |         31 | -                               | Video Devices
 audio        |         32 | -                               | Audio Devices
 storage      |         33 | -                               | Storage Devices
 scanner      |         34 | -                               | Scanner Devices
 printer      |         35 | -                               | Printer Devices
 input        |         36 | -                               | Input Devices (like pointers, keyboard, etc)
 optical      |         37 | -                               | Optical (ODD) Devices
 floppy       |         38 | -                               | Floppy (FDD) Devices
 tape         |         39 | -                               | Tape Devices
              |            |                                 |
 games        |         60 | -                               | Games Group
 pactrl07     |         67 | -                               | Parental Control Group (ClassInd 10, ESRB 10+, GCAM/IARC/PEGI 7+, RARS 6+)
 pactrl12     |         72 | -                               | Parental Control Group (ClassInd 12/14, ESRB T, GCAM/IARC/PEGI 12+, RARS 12+)
 pactrl16     |         76 | -                               | Parental Control Group (ClassInd 16, ESRB M, GCAM/IARC/PEGI 16+, RARS 16+)
 pactrl18     |         78 | -                               | Parental Control Group (ClassInd 18, ESRB Ao, GCAM/IARC/PEGI 18+, RARS 18+)
              |            |                                 |
 shared       |         90 | -                               | Shared Data Group
              |            |                                 |
 gopher       |         94 | -                               | Gopher Service
 gemini       |         95 | -                               | Gemini Service
 http         |         96 | -                               | HTTP Service
              |            |                                 |
 news         |         97 | -                               | News (NNTP/UUCP) Service
 mail         |         98 | -                               | Mail (SMTP) Service
              |            |                                 |
 nobody       |         99 | -                               | Unprivileged Group
              |            |                                 |
 _sshd        |        100 | -                               | SSH Service Privilege Separation
 _portmap     |        101 | -                               | IP Port Mapper (RPC program number)
 _identd      |        102 | -                               | Identification Protocol Service
 _rstatd      |        103 | -                               | RPC (statistics) Service
 _rusersd     |        104 | -                               | RPC (users) Service
 _fingerd     |        105 | -                               | Finger Protocol Service
 _x11         |        106 | -                               | X Window System (version 11) Service
 _unwind      |        107 | -                               | Validating DNS Resolver Service
 _switchd     |        108 | -                               | Switch (SDN) Service
 _traceroute  |        109 | -                               | Traceroute Unprivileged Group
 _ping        |        110 | -                               | ICMP Echo Request Unprivileged Group
 _unbound     |        111 | -                               | Unbound Recursive DNS Service
 _dpb         |        112 | -                               | DPB Privilege Separation
 _pbuild      |        113 | -                               | DPB (distr. ports builder) Build Group
 _pfetch      |        114 | -                               | DPB (distr. ports builder) Fetch Group
 _pkgfetch    |        115 | -                               | Packager Fetch Group
 _pkguntar    |        116 | -                               | Packager "untar" Group
 _spamd       |        117 | -                               | Spam Deferral Service
 _isakmpd     |        118 | -                               | ISAKMP Service Privilege Separation
 _rpki-client |        119 | -                               | RPKI validator Clients
 _syslogd     |        120 | -                               | System log Service
 _pflogd      |        121 | -                               | PFLog Service Privilege Separation
 _bgpd        |        122 | -                               | Border Gateway Protocol Service
 _tcpdump     |        123 | -                               | Dump NetTraffic Privilege Separation
 _mopd        |        125 | -                               | DEC MOP Service
 _tftpd       |        126 | -                               | TFTP Service
 _rbootd      |        127 | -                               | HP Remote Boot Service
 _ppp         |        128 | -                               | Point-to-Point Protocol Service
 _ntp         |        129 | -                               | Network Time Protocol Service
 _ftp         |        130 | -                               | File Transfer Protocol Service
 _ospfd       |        131 | -                               | OSPF (IPv4) Service
 _hostapd     |        132 | -                               | Host Access Point Service
 _dvmrpd      |        133 | -                               | DVMRP Service
 _ripd        |        134 | -                               | Routing Information Protocol Service
 _relayd      |        135 | -                               | Relay Service
 _ospf6d      |        136 | -                               | OSPF (for IPv6) Service
 _snmpd       |        137 | -                               | SNMP Service
 _ypldap      |        138 | -                               | NIS (YP) to LDAP Service
 _rad         |        139 | -                               | IPv6 NDP Router Advertisement Service
 _smtpd       |        140 | -                               | SMTP Service
 _rwalld      |        141 | -                               | RPC (wall) Service
 _nsd         |        142 | -                               | Name Server Service
 _ldpd        |        143 | -                               | Label Distribution Protocol Service
 _sndio       |        144 | -                               | Sound IO Privilege Separation
 _ldapd       |        145 | -                               | LDAP Service
 _iked        |        146 | -                               | Internet Key Exchange Service
 _iscsid      |        147 | -                               | iSCSI Service
 _smtpq       |        148 | -                               | SMTP Queue
 _file        |        149 | -                               | File Privilege Separation
 _radiusd     |        150 | -                               | RADIUS Service
 _eigrpd      |        151 | -                               | EIGRP Service
 _vmd         |        152 | -                               | Virtual Machine Service
 _tftp_proxy  |        153 | -                               | TFTP Proxy Service
 _ftp_proxy   |        154 | -                               | File Transfer Protocol Proxy Service
 _sndiop      |        155 | -                               | Sound IO Privileged Group
 _syspatch    |        156 | -                               | System Patch Unprivileged Group
 _slaacd      |        157 | -                               | IPv6 SLAAC Service
              |            |                                 |
 ftp          | 4294967282 | -                               | Deprecated, use "shared" group instead
 lp           | 4294967283 | -                               | Deprecated, use software specific group instead
 smmsp        | 4294967284 | -                               | Unused, use software specific group instead
 uuidd        | 4294967285 | -                               | Unused, Linux based of UUID service
 rfkill       | 4294967286 | -                               | Unused, Linux based of wireless tools for on/off 
 proc         | 4294967287 | -                               | Unused, Plan 9 based of Processes File System
 uucp         | 4294967288 | -                               | Deprecated, use "news" group instead
 disk         | 4294967289 | -                               | Deprecated, use "storage" group instead
 halt         | 4294967290 | -                               | Deprecated, use "power" group instead
 shutdown     | 4294967291 | -                               | Deprecated, use "power" group instead
 daemon       | 4294967292 | -                               | Obsolete, used for legacy software services
 bin          | 4294967293 | -                               | Obsolete, used for legacy programs
 sys          | 4294967294 | -                               | Obsolete, use "adm" (by LSB) group instead
 wheel        | 4294967295 | -                               | Deprecated, use "root" or "adm" (by LSB) groups instead


## OpenBSD [Groups]:

 Group        |   GID | Users members (not group owner)
:-------------|------:|:--------------------------------
 wheel        |     0 | root
 daemon       |     1 | daemon
 bin          |     7 | -
              |       |
 kmem         |     2 | root
 sys          |     3 | root
 tty          |     4 | root
 operator     |     5 | root
 users        |    10 | -
 games        |    13 | -
 guest        |    31 | root
 utmp         |    45 | -
 www          |    67 | -
 nogroup      | 32766 | -
 nobody       | 32767 | -
              |       |
 wsrc         |     9 | -
 auth         |    11 | -
 staff        |    20 | root
 wobj         |    21 | -
 sshd         |    27 | -
 crontab      |    66 | -
 authpf       |    72 | -
 dialer       |   117 | -
              |       |
 _portmap     |    28 | -
 _identd      |    29 | -
 _rstatd      |    30 | -
 _rusersd     |    32 | -
 _fingerd     |    33 | -
 _sshagnt     |    34 | -
 _x11         |    35 | -
 _unwind      |    48 | -
 _switchd     |    49 | -
 _traceroute  |    50 | -
 _ping        |    51 | -
 _unbound     |    53 | -
 _dpb         |    54 | -
 _pbuild      |    55 | -
 _pfetch      |    56 | -
 _pkgfetch    |    57 | -
 _pkguntar    |    58 | -
 _spamd       |    62 | -
 _radius      |    63 | -
 _token       |    64 | -
 _shadow      |    65 | -
 _isakmpd     |    68 | -
 _rpki-client |    70 | -
 _syslogd     |    73 | -
 _pflogd      |    74 | -
 _bgpd        |    75 | -
 _tcpdump     |    76 | -
 _dhcp        |    77 | -
 _mopd        |    78 | -
 _tftpd       |    79 | -
 _rbootd      |    80 | -
 _ppp         |    82 | -
 _ntp         |    83 | -
 _ftp         |    84 | -
 _ospfd       |    85 | -
 _hostapd     |    86 | -
 _dvmrpd      |    87 | -
 _ripd        |    88 | -
 _relayd      |    89 | -
 _ospf6d      |    90 | -
 _snmpd       |    91 | -
 _ypldap      |    93 | -
 _rad         |    94 | -
 _smtpd       |    95 | -
 _rwalld      |    96 | -
 _nsd         |    97 | -
 _ldpd        |    98 | -
 _sndio       |    99 | -
 _ldapd       |   100 | -
 _iked        |   101 | -
 _iscsid      |   102 | -
 _smtpq       |   103 | -
 _file        |   104 | -
 _radiusd     |   105 | -
 _eigrpd      |   106 | -
 _vmd         |   107 | -
 _tftp_proxy  |   108 | -
 _ftp_proxy   |   109 | -
 _sndiop      |   110 | -
 _syspatch    |   112 | -
 _slaacd      |   115 | -
